﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication73
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.InitializeLayout += UltraGrid1_InitializeLayout;
            this.ultraGrid1.DataSource = DummyDataCreator.GetData(10, new Type[] { typeof(DateTime), typeof(DateTime) });
            this.ultraGrid1.DisplayLayout.PerformAutoResizeColumns(true, PerformAutoSizeType.AllRowsInBand, AutoResizeColumnWidthOptions.All);
        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var slovenianCultureInfo = new CultureInfo("sl-SI");
            var column = this.ultraGrid1.DisplayLayout.Bands[0].Columns["DateTime 2"];
            column.FormatInfo = slovenianCultureInfo.DateTimeFormat;
            column.Format = slovenianCultureInfo.DateTimeFormat.ShortDatePattern + " " + slovenianCultureInfo.DateTimeFormat.LongTimePattern;
            column.MaskInput = "{date} {time}";

        }
    }
}
